Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Eli Zaretskii <[email-masked]>
Date: Fri, 30 Apr 2021 10:06:09 +0300

> Date: Fri, 30 Apr 2021 06:51:47 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Dmitry Gutov <[email-masked]>, [email-masked], [email-masked], 
>     [email-masked], [email-masked], [email-masked], 
>     [email-masked], [email-masked]
> 
> > Just so we are on the same page: FlashWindow on MS-Windows doesn't 
> > necessarily flash the frame.  Or maybe I don't understand what Gregory 
> > meant by that.
> 
> Yes, "flash" is perhaps not the best word here, perhaps "vibrate" is 
> better.

That word still doesn't tell me what you think happens.  Can you
describe in more detail what exactly you see, and on which version of
MS-Windows?

> And no, I don't think it is possible to replicate that behavior on other 
> systems, it's a "window manager" primitive, which AFAIU exists on Windows 
> but not on macOS or GNU/Linux.

I think until now the idea was to abide by platform conventions in
this matter.  That's why we don't try to affect the audio bell,
either: we let the system sound whatever sound was configured for
that.  From that POV, using platform-specific visual cues is perfectly
fine, if such primitives exist.  Where they don't exist, we need to
emulate them, but that's another story.

So: do such WM APIs exist on X, GTK, macOS, and other platforms we
support?  (If this was already discussed, apologies.)